Atata.Cli 2.2.0 The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org. Prefix Reserved

.NET Standard 2.0
Install-Package Atata.Cli -Version 2.2.0
dotnet add package Atata.Cli --version 2.2.0
<PackageReference Include="Atata.Cli" Version="2.2.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Atata.Cli --version 2.2.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: Atata.Cli, 2.2.0"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install Atata.Cli as a Cake Addin
#addin nuget:?package=Atata.Cli&version=2.2.0

// Install Atata.Cli as a Cake Tool
#tool nuget:?package=Atata.Cli&version=2.2.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

.NET library that provides an API for CLI.

The package targets .NET Standard 2.0, which supports .NET 5+, .NET Framework 4.6.1+ and .NET Core/Standard 2.0+.

Features:
- Provides an abstraction over System.Diagnostics.Process with CliCommand and ProgramCli classes.
- Has ability to execute CLI through command shell: cmd, sh, bash, sudo, etc.
- Provides synchronous and asynchronous API methods.
- Works on Windows, Linux and macOS.

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows
.NET Core netcoreapp2.0 netcoreapp2.1 netcoreapp2.2 netcoreapp3.0 netcoreapp3.1
.NET Standard netstandard2.0 netstandard2.1
.NET Framework net461 net462 net463 net47 net471 net472 net48
MonoAndroid monoandroid
MonoMac monomac
MonoTouch monotouch
Tizen tizen40 tizen60
Xamarin.iOS xamarinios
Xamarin.Mac xamarinmac
Xamarin.TVOS xamarintvos
Xamarin.WatchOS xamarinwatchos
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.
  • .NETStandard 2.0

    • No dependencies.

NuGet packages (5)

Showing the top 5 NuGet packages that depend on Atata.Cli:

Package Downloads
Atata.WebDriverSetup The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

.NET library that sets up browser drivers for Selenium WebDriver, e.g. chromedriver, geckodriver, etc. The package targets .NET Standard 2.0, which supports .NET 5+, .NET Framework 4.6.1+ and .NET Core/Standard 2.0+. Atata.WebDriverSetup on GitHub: https://github.com/atata-framework/atata-webdriversetup Atata Framework documentation: https://atata.io/ Features: - Sets up drivers for browsers: Chrome, Firefox, Edge, Internet Explorer and Opera. - Supports Windows, Linux and macOS platforms. - Can download latest or specific driver versions. - Can auto-detect locally installed browser version and download corresponding driver version. - Caches the used driver versions. - After a driver is set up, adds the driver path to environment "PATH" variable, which is consumed by WebDriver.

Atata.Cli.Npm The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

.NET library that provides an API for NPM. The package targets .NET Standard 2.0, which supports .NET 5+, .NET Framework 4.6.1+ and .NET Core/Standard 2.0+. Features: - Checks whether NPM is installed. - Checks whether package is installed. - Gets installed package version. - Installs package. - Uninstalls package.

Atata.Cli.HtmlValidate The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

.NET library that provides an API for html-validate NPM package. The package targets .NET Standard 2.0, which supports .NET 5+, .NET Framework 4.6.1+ and .NET Core/Standard 2.0+. Requires html-validate (https://www.npmjs.com/package/html-validate) NPM package to be installed, but can install itself.

SeleniumUtil

简易封装seslenium工具包简单方便, 只需要一个方法三种浏览器的适配

SeleniumUtilCore3

简易封装seslenium工具包

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
2.2.0 321 7/29/2022
2.1.0 722 7/21/2022
2.0.0 7,504 5/10/2022
2.0.0-beta.1 247 4/8/2022
1.4.0 281 3/25/2022
1.3.0 33,532 7/23/2021
1.2.0 454 7/21/2021
1.1.0 788 6/24/2021
1.0.0 196 6/24/2021